function im = boundingBox(im)

[h w] = size(im);
xmin=w;
ymin=h;
xmax=1;
ymax=1;
for y=1:h
    if isempty(find(~isnan(im(y,:))))
        continue;
    end
    ymin=y;
    break
end
for y=h:-1:1
    if isempty(find(~isnan(im(y,:))))
        continue;
    end
    ymax=y;
    break
end
for x=1:w
    if isempty(find(~isnan(im(:,x))))
        continue;
    end
    xmin=x;
    break
end
for x=w:-1:1
    if isempty(find(~isnan(im(:,x))))
        continue;
    end
    xmax=x;
    break
end
im = im(ymin:ymax, xmin:xmax);