function newwarpedim = completeVideo(grx, warpedim, coeffs)

[height, width, time] = size(warpedim);

newwarpedim = warpedim;        

for y=1:height
    for x=1:width
        grlst = find(~isnan(grx(y,x,:)));
        pixvector = warpedim(y + (x-1)*height + (grlst-1)*height*width);
        nanlst = find(isnan(pixvector));
        if ~isempty(nanlst)
            if length(nanlst) == length(grlst)
                newwarpedim = [];
                return
            end

            newpixvector = completeData(pixvector, nanlst);
            newwarpedim(y + (x-1)*height + (grlst-1)*height*width) = newpixvector;
        else
            newwarpedim(y + (x-1)*height + (grlst-1)*height*width) = ...
                warpedim(y + (x-1)*height + (grlst-1)*height*width);
        end
    end
end

if 0
    for t=1:time
        imagesc(newwarpedim(:,:,t)), colormap(gray(255))
        pause
    end
end