function [fx, fy] = convolve(im)

var = 1;
sz = 3;
m = ceil(sz/2);
[x y] = meshgrid(1:sz, 1:sz);
%g = exp(-((x-m).^2 + (y-m).^2)/var);
gx = -(x-m).*exp(-((x-m).^2 + (y-m).^2)/var);
gy = -(y-m).*exp(-((x-m).^2 + (y-m).^2)/var);


fx = conv2(im, gx, 'same');
fy = conv2(im, gy, 'same');

% figure
% imshow(mat2gray(fx))
% figure
% imshow(mat2gray(fy))