function flpimg = flipSequence(im, axes)

[height width time] = size(im);

if axes == 1 %x
    flipimg = zeros(height, time, width);
elseif axes == 2 %y
    flipimg = zeros(time, width, height);
end

for t=1:time
    for y=1:height
        for x=1:width;
            if axes == 1 %x
                flpimg(y,t,x) = im(y,x,t);
            else %y
                flpimg(t,x,y) = im(y,x,t);
            end
        end
    end
end