function [omg, omg_x, omg_y] = getPatches(im, patchWidth)
% returns patches with the smallest size

[height width] = size(im);
[fx fy] = convolve(im);
% fx=conv2(im,[1 -1], 'valid');
% fy=conv2(im,[1 -1]', 'valid');
% fx = fx(1:height-1,:);
% fy = fy(:, 1:width-1);
% size(fx)
% size(fy)

[height width] = size(fx);
patchWidth = width;
rows = width/patchWidth;
cols = height/patchWidth;
im = im(1:height, 1:width);

cnt = 1;
for y=1:patchWidth:height
    for x=1:patchWidth:width
        omg(cnt).img = im(y:y+patchWidth-1, x:x+patchWidth-1);        
        omg_x(cnt).img = fx(y:y+patchWidth-1, x:x+patchWidth-1);        
        omg_y(cnt).img = fy(y:y+patchWidth-1, x:x+patchWidth-1);        
        cnt = cnt+1;
    end
end

if(0)
    figure
    imshow(mat2gray(im));
    for y=1:patchWidth:height
        for x=1:patchWidth:width
            hline([x y 1], [x+patchWidth y 1], 'white');
            hline([x y 1], [x y+patchWidth 1], 'white');            
        end
    end
    for y=1:patchWidth:height
        hline([width y 1], [width y+patchWidth 1], 'white');
    end
    for x=1:patchWidth:width
         hline([x height 1], [x+patchWidth height 1], 'white');
    end
end
