% clear all
% close all
sequence = 'statue'
fstart = 1;
fend = 8;
pwmax = 165;
timestep = 8;
fnum = timestep+4; 
level=0;
startx = 94;
starty = 24;
RECOMPUTEFLOW = 0;
RECOMPUTEGOF = 0;
REPAIRVIDEO = 1;
global pwmax timestep level sequence startx starty RECOMPUTEFLOW RECOMPUTEGOF REPAIRVIDEO

if strcmp(sequence, 'statue')
    maskpath = 'C:\users\alatas\codes\video completion\dataset\statue\mask\';
    path = 'C:\users\alatas\codes\video completion\dataset\statue\ori\';
    fname = 'statue';
    maskname = 'statue_mask';
elseif strcmp(sequence, 'yos')
    path = 'E:\users\alatas\sequences\motion sequences\yosemite\';
    fname = 'yos';
elseif strcmp(sequence, 'flower')
    path = 'E:\users\alatas\sequences\motion sequences\flowerGarden\resampled2\';
    fname = 'fg';
elseif strcmp(sequence, 'alex')
    path = 'E:\users\alatas\sequences\motion sequences\alex.pgm\resampled\';
    fname = 'alex';
elseif strcmp(sequence, 'akiyo')
    path = 'E:\users\alatas\sequences\motion sequences\akiyo\resampled2\';
    fname = 'akiyo_qcif_';
elseif strcmp(sequence, 'synth')
    path = '';
    fname = 'uni3_';
elseif strcmp(sequence, 'synth4')
    path = '';
    fname = 'synth4_';
elseif strcmp(sequence, 't1')
    path = '';
    fname = 'texImg5_';
elseif strcmp(sequence, 't3')
    path = '';
    fname = 'texImg3_';
elseif strcmp(sequence, 'glo5')
    path = '';
    fname = 'gloMotImg5_';
elseif strcmp(sequence, 'glo1')
    path = '';
    fname = 'gloMotImg1_';
end
% pwx = 160;
% pwy = 90;

resind = 1;
for seqind = fstart:timestep:fend
    for t=seqind:seqind+fnum-1
        ind = t-seqind+1;
        if strcmp(sequence, 'statue')
            colorim(:,:,:,ind) = double(imread(sprintf('%s%s%02d.bmp', path, fname, t+15)));
            im(:,:,ind) = (double(rgb2gray(imread(sprintf('%s%s%02d.bmp', path, fname, t+15)))));
            mask = double(imread(sprintf('%s%s%02d.pgm', maskpath, maskname, t+15)));
            lst = find(mask>0);
            mask(:) = 1;
            mask(lst) = nan;
            if (t>4 & t<9)
                im(:,:,ind) = im(:,:,ind).*mask;
                colorim(:,:,1,ind) = colorim(:,:,1,ind).*mask;
                colorim(:,:,2,ind) = colorim(:,:,2,ind).*mask;
                colorim(:,:,3,ind) = colorim(:,:,3,ind).*mask;
            end
        elseif strcmp(sequence, 'yos')
            im(:,:,ind) = double(imread(sprintf('%s%s%04d.gif', path, fname, t)));
        elseif strcmp(sequence, 'flower')
            im(:,:,ind) = double(imread(sprintf('%s%s%03d.bmp', path, fname, t)));
        elseif (strcmp(sequence, 'synth') | strcmp(sequence, 'synth4'))
            im(:,:,ind) = double(imread(sprintf('%s%s%04d.pgm', path, fname, t)));
        elseif strcmp(sequence, 'alex')
            im(:,:,ind) = double(imread(sprintf('%s%s.%03d.pgm', path, fname, t)));
        elseif strcmp(sequence, 'akiyo')
            im(:,:,ind) = double(imread(sprintf('%s%s%03d.pgm', path, fname, t)));
        elseif (strcmp(sequence, 't1') | strcmp(sequence, 'glo1' | strcmp(sequence, 't3')))
            im(:,:,ind) = double(imread(sprintf('%s%s%04d.pgm', path, fname, t)));
        end
    end
%     im = im(starty:starty+pwmax+3, startx:startx+pwmax+3,:);
%     colorim = colorim(starty:starty+pwmax+3, startx:startx+pwmax+3,:,:);
%     im(cystart:cyend, cxstart:cxend,ctstart:ctend) = nan;
%     colorim(cystart:cyend, cxstart:cxend,:,ctstart:ctend) = nan;
    flow_main(im, seqind+2, colorim);
end