function finalim = reconstructGOF(resim, grx, gry)

global pwmax
[height, width, time] = size(grx);
reconsim = zeros(pwmax, pwmax, time);
tempgof = reconsim;
tempgof(1:pwmax*pwmax*time) = resim( find(~isnan(resim)) );
mapx = resim;
mapy = mapx;

for t=1:time
    cx = ceil(grx(20,20,t)) - grx(20,20,t);
    cy = ceil(gry(20,20,t)) - gry(20,20,t);
    if isnan(cx) | isnan(cy) 
        return
    end
    finalim(:,:,t) = resampleGOF3(tempgof(:,:,t), cx, cy);
    
end