function finalim = resampleGOF2(gof, grx, gry, height, width)

DISPLAY = 0;
[gofh, gofw, time] = size(gof);
[h,w,time] = size(grx);
newim.im = zeros(height,width,time);
newim.im(:) = nan;

elst = 1:height*width;

for t=1:time
    xlist = grx( find(~isnan(grx(:,:,t))) + (t-1)*h*w);
    ylist = gry( find(~isnan(gry(:,:,t))) + (t-1)*h*w);
    xtop = ceil(xlist);
    xbtm = floor(xlist);
    ytop = ceil(ylist);
    ybtm = floor(ylist);
    
    if( (xtop(1) == xbtm(1)) & (ytop(1) == ybtm(1)) )
        pntlist = (xtop(:)-1)*gofh + ytop(:) + (t-1)*gofh*gofw;
        newim.im(elst + (t-1)*height*width) = gof(pntlist);
    elseif( (xtop(1)==xbtm(1)) & (ytop(1)~=ybtm(1)) )
        pntlist1 = (xtop(:)-1)*gofh + ytop(:) + (t-1)*gofh*gofw;
        pntlist2 = (xtop(:)-1)*gofh + ybtm(:) + (t-1)*gofh*gofw;
        coef1 = newy(1)-ybtm(1);
        coef2 = ytop(1)-newy(1);
        newim.im(elst + (t-1)*height*width) = coef1*gof(pntlist1) + coef2*gof(pntlist2);
    elseif( (xtop(1)~=xbtm(1)) & (ytop(1)==ybtm(1)) )
        pntlist1 = (xtop(:)-1)*gofh + ytop(:) + (t-1)*gofh*gofw;
        pntlist2 = (xbtm(:)-1)*gofh + ytop(:) + (t-1)*gofh*gofw;
        coef1 = newx(1)-xbtm(1);
        coef2 = xtop(1)-newx(1);
        newim.im(elst + (t-1)*height*width) = coef1*gof(pntlist1) + coef2*gof(pntlist2);
    elseif( (xtop(1)~=xbtm(1)) & (ytop(1)~=ybtm(1)) )
        pntlist1 = (xtop(:)-1)*gofh + ytop(:) + (t-1)*gofh*gofw;
        pntlist2 = (xtop(:)-1)*gofh + ybtm(:) + (t-1)*gofh*gofw;
        pntlist3 = (xbtm(:)-1)*gofh + ytop(:) + (t-1)*gofh*gofw;
        pntlist4 = (xbtm(:)-1)*gofh + ybtm(:) + (t-1)*gofh*gofw;
        coef1 = xlist(1)-xbtm(1);
        coef2 = xtop(1)-xlist(1);
        coef3 = ylist(1)-ybtm(1);
        coef4 = ytop(1)-ylist(1);
        newim.im(elst + (t-1)*height*width) = coef1*coef3*gof(pntlist1)+ coef1*coef4*gof(pntlist2) + ...
            coef2*coef3*gof(pntlist3) + coef2*coef4*gof(pntlist4);
    end
end

finalim = grx;
lst = find(~isnan(finalim));
finalim(lst) = newim.im(:);

if DISPLAY
    figure
    for t=1:ftime
        subplot(8,2,2*t-1)
        imagesc(gof(y:y+origh, x:x+origw, t)), colormap(gray(255))
        subplot(8,2,2*t)
        imagesc(newim.im(:,:,t)), colormap(gray(255))
        pause
    end
end
    