function outp = completeData(inp, nanlst)

nanlen = length(nanlst);
nonnanlst = find(~isnan(inp));
inplen = length(inp);
len = inplen - nanlen;
stepsize=nanlen+1;
appr = spline(1:len, inp(nonnanlst), 1:1/stepsize:len);

lastnonnan=1;
nanind=1;
nonnanind=1;
for i=1:inplen
    if ~isnan(inp(i))
        lastnonnan=nonnanind;
        outp(i) = appr( (nonnanind-1)*stepsize+1 );
        nanind=1;
        nonnanind = nonnanind+1;
    else
        outp(i) = appr( (lastnonnan-1)*stepsize+1+nanind );
        nanind = nanind+1;
    end
end
ls = find(outp<0);
outp(ls) = 0;
ls = find(outp>255);
outp(ls) = 255;
