function generateMask

clear all
close all
sequence = 'statue'
fnum = 12; % give "frame number + 2"
fstart = 1;
fend = 21;
pwmax = 64;
timestep = 8;
level=0;
global pwmax timestep level sequence 

if strcmp(sequence, 'statue')
    path = 'C:\users\alatas\codes\video completion\dataset\statue\mov\';
    fname = 'Backstatue';
end

resind = 1;
for seqind = fstart:timestep:fend
    for t=seqind:seqind+fnum-1
        ind = t-seqind+1;
        if strcmp(sequence, 'statue')
            tmp = double(imread(sprintf('%s%s%02d.bmp', path, fname, t+15)));            
        end
        lst = find((tmp(:,:,1)==0) & (tmp(:,:,2)==0) & (tmp(:,:,3)==0));
        [h w tm] = size(tmp);
        mymask = zeros(h,w);
        mymask(lst) = 1;
        imwrite(mymask, sprintf('%s_mask%02d.pgm', sequence, t+15))
%         figure, imagesc(mymask)
%         pause
    end
end

